Api referenceProjects

List projects

List persistent editor projects for the current API key owner. Response items are summaries only and do not include `editorState`.

GET
/v1/projects

List persistent editor projects for the current API key owner. Response items are summaries only and do not include editorState.

Authorization

ApiKeyAuth
x-api-key<token>

Enter your API key manually in the interactive docs playground. The value is stored only in the current browser and is not injected from server environment variables.

In: header

Query Parameters

pageSize?integer
Default20
Range1 <= value <= 50
pageCursor?string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.indream.ai/v1/projects"
{
  "data": [
    {
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "title": "string",
      "description": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "nextPageCursor": "string"
  }
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}